//
//  Constants.swift
//  fawry_sdk
//
//  Created by ahmed fadl on 10/03/2022.
//

import Foundation

class Constants {
    static let method_init : String = "init"
    static let launch_model_json_arg = "launchModelJson"
    static let baseURL_arg = "baseURL"
    static let language_arg = "lang"
    static let dart_arabic_lang = "ARABIC";
    static let dart_english_lang = "ENGLISH";
    static let sdk_channel_name = "channel/fawry_sdk"
    static let success_code = "100"
    static let error_code = "101"
    static let payment_completed_code = "102"
    static var eventChannel_callback : String = "event.channel/fawry_sdk" ;
    
    class Messages {
        static let invalidLaunchModel = "Invalid LaunchModelJSON"
        static let invalidBaseURL = "Invalid baseURL"
        static let invalidLanguage =  "Invalid App Language"
        static let paymentLoaded = "Payment Method: SDK Loaded"
        static let paymentSucceeded = "Payment process succeeded"
        static let paymentCompleted = "Payment process completed"

    }
}
