#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint fawry_sdk.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'fawry_sdk'
  s.version          = '0.0.1'
  s.summary          = 'A new flutter plugin project.'
  s.description      = <<-DESC
A new flutter plugin project.
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'Alamofire'
  s.dependency 'SDWebImage'
  s.dependency 'IQKeyboardManagerSwift'
  s.dependency 'SwiftMessages'
  s.dependency 'RxSwift'
  s.dependency 'MBRadioButton'
  s.dependency 'SVProgressHUD'

  s.platform = :ios, '12.1'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }
  s.user_target_xcconfig = { 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }
  s.swift_version = '5.0'

    # Prevent local Framework to be removed
    s.preserve_paths = 'Frameworks/FawryFrameworkAnonymous.framework'
    s.vendored_frameworks = 'Frameworks/FawryFrameworkAnonymous.framework'
end
